Bug 1962393 - License problems
Summary: License problems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-aiomqtt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-19 22:50 UTC by Ben Beasley
Modified: 2021-07-28 00:43 UTC (History)
1 user (show)

Fixed In Version: python-aiomqtt-0.1.3-2.fc34 python-aiomqtt-0.1.3-2.fc33 python-aiomqtt-0.1.3-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-01 01:03:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ben Beasley 2021-05-19 22:50:36 UTC
Description of problem:

https://github.com/mossblaser/aiomqtt/issues/10

The license field “Eclipse Public License v1.0 / Eclipse Distribution License v1.0” is unclear. It could be interpreted to mean that *both* licenses apply, or that *either* license applies.

In addition, the package should have a license file with a copyright statement and license text. Not only would this clear up confusion, but at least the Eclipse Distribution License v1.0 (effectively a BSD license) requires that “Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer”, which is not possible to comply when none of those things are present in the first place.

Any packager contemplating picking up this orphaned package should be prepared to resolve this.

Comment 1 Ben Beasley 2021-05-20 18:26:10 UTC
Upstream fixed this (https://github.com/mossblaser/aiomqtt/issues/10), and I have picked up the package. New builds and updates coming soon.

Comment 2 Fedora Admin user for bugzilla script actions 2021-05-21 00:04:44 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Update System 2021-05-21 12:02:57 UTC
FEDORA-EPEL-2021-bf76891214 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bf76891214

Comment 4 Fedora Update System 2021-05-21 12:03:56 UTC
FEDORA-2021-f9620f716d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f9620f716d

Comment 5 Fedora Update System 2021-05-21 12:04:26 UTC
FEDORA-2021-39cf7f3cf4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-39cf7f3cf4

Comment 6 Fedora Update System 2021-05-21 12:05:05 UTC
FEDORA-2021-2f336c2ab4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2f336c2ab4

Comment 7 Fedora Update System 2021-05-22 01:45:16 UTC
FEDORA-EPEL-2021-bf76891214 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-bf76891214

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-22 01:50:36 UTC
FEDORA-2021-2f336c2ab4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2f336c2ab4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2f336c2ab4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-05-22 01:54:07 UTC
FEDORA-2021-39cf7f3cf4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-39cf7f3cf4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-39cf7f3cf4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-22 02:08:08 UTC
FEDORA-2021-f9620f716d has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f9620f716d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f9620f716d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-05-24 01:05:06 UTC
FEDORA-2021-8e99fba66a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8e99fba66a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8e99fba66a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-05-24 01:47:16 UTC
FEDORA-2021-1de5273982 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1de5273982`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1de5273982

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-05-24 01:57:51 UTC
FEDORA-EPEL-2021-4c5252fe46 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-4c5252fe46

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-06-01 01:03:12 UTC
FEDORA-2021-1de5273982 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-06-01 01:05:06 UTC
FEDORA-2021-8e99fba66a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-07-28 00:43:20 UTC
FEDORA-EPEL-2021-4c5252fe46 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.